Subject: Re: 24.4.50; "Not an in-range integer, float, or cons of integers" from x-focus-frame

From: Paul Eggert <[email-masked]>
Date: Wed, 01 Oct 2014 21:54:02 -0700

> I guess the apropriate thing to do is to use cons_to_signed if the value fits in 32 signed bits, and cons_to_unsigned if it fits in 32 unsigned bits.

There's already a function cons_to_x_long that does exactly that, and I'll look 
into a patch to use it.  However, I suspect another bug is involved, as the 
reported value (0x385f739b4) does not fit in 32-bit unsigned long either, and I 
have a sneaking suspicion that it's garbage of some sort, i.e., that there's 
another bug at work here too.